Subject: Re: bug#40838: 28.0.50; [feature/native-comp] Function overrides in init.el are not honored after deferred compilation

From: Andrea Corallo <[email-masked]>
Date: Mon, 18 May 2020 21:01:06 +0000

Andrea Corallo <[email-masked]> writes:

> Okay I think I've an idea of what is going on here.
>
> straight given wants to build org in a way org is not made for is
> hacking around the problem predefining in the compilation environment
> `org-release' and `org-git-version'.
>
> When org.el is loaded is executing at top level the expansion of
> `org-check-version' that is supposed to define these two functions,
> given are already defined by straight.el we should fall in the first if
> clause an the hacked functions remains.
>
> When the eln are compiled by deferred-compilation no-one is hacking the
> definition of these two functions in the way straight.el would like and
> so the trouble raise.
>
> In summary this is not a problem of the deferred compilation mechanism
> but is an hack that is not working for this case.
>
> To mitigate this I've added a new customize you can use to define those
> functions (or whatever) into the compiler environment of the async
> compilation workers, is called `comp-async-env-modifier-form'.
>
> 2ac6194585 * Add new customize `comp-async-env-modifier-form' (Bug#40838)
>
> I'm for closing this.
>
> Bests
>
>   Andrea

Wow I see now straight.el has a branch to support native-comp, kudos to
them!

https://github.com/flatwhatson/straight.el/tree/native-comp

I'll ping them to signal this new customize.

  Andrea

-- 
[email-masked]